Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ScopeDeleter< T > Member List

This is the complete list of members for faiss::ScopeDeleter< T >, including all inherited members.

ptr (defined in faiss::ScopeDeleter< T >) | faiss::ScopeDeleter< T > |
release() (defined in faiss::ScopeDeleter< T >) | faiss::ScopeDeleter< T > | inline
ScopeDeleter(const T *ptr=nullptr) (defined in faiss::ScopeDeleter< T >) | faiss::ScopeDeleter< T > | inline explicit
set(const T *ptr_in) (defined in faiss::ScopeDeleter< T >) | faiss::ScopeDeleter< T > | inline
swap(ScopeDeleter< T > &other) (defined in faiss::ScopeDeleter< T >) | faiss::ScopeDeleter< T > | inline
~ScopeDeleter() (defined in faiss::ScopeDeleter< T >) | faiss::ScopeDeleter< T > | inline